summaryrefslogtreecommitdiffstats
path: root/maven/make-directories.sh
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2012-11-06 20:57:33 +0100
committerSven Gothel <[email protected]>2012-11-06 21:16:30 +0100
commitbb3bb1247fb1fab05a85302dd9e5d57b769fcdbf (patch)
tree370c3efa0d2e4229feaa4ed8fdf8ad64d8660838 /maven/make-directories.sh
parent4fd161240a1616382c1b1f744bf31d2a9489437e (diff)
Prepare repo merge
Diffstat (limited to 'maven/make-directories.sh')
-rwxr-xr-xmaven/make-directories.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/maven/make-directories.sh b/maven/make-directories.sh
new file mode 100755
index 0000000..b0f124a
--- /dev/null
+++ b/maven/make-directories.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+if [ $# -ne 1 ]
+then
+ echo "make-directories: usage: version" 1>&2
+ exit 1
+fi
+
+VERSION="$1"
+shift
+
+PROJECTS=`cat make-projects.txt | awk -F: '{print $1}'` || exit 1
+
+for PROJECT in ${PROJECTS}
+do
+ echo "make-directories: info: creating output/${PROJECT}/${VERSION}" 2>&1
+ mkdir -p "output/${PROJECT}/${VERSION}" || exit 1
+done
+